<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:ignore="HardcodedText">

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:layout_constraintTop_toTopOf="parent"
        app:top_bar_title="Debug" />

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="8dp"
            android:paddingBottom="40dp">

            <!--APP/用户信息 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_test_account"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:hint="测试账号"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_switch_account"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="切换账号" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_logout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="登出"
                        android:textColor="@color/color_red_4" />

                </androidx.appcompat.widget.LinearLayoutCompat>


                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/user_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="uid:"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_im_login"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="IM登录状态"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_approving_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="当前审核版本:"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_adjust_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Adjust状态:"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <!--网络设置-->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/http_url"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:hint="请输入http url"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/http_url_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="保存"
                        android:visibility="gone" />

                </androidx.appcompat.widget.LinearLayoutCompat>


                <!--        <EditText-->
                <!--            android:id="@+id/socket_url"-->
                <!--            android:layout_width="match_parent"-->
                <!--            android:layout_height="wrap_content"-->
                <!--            android:layout_marginTop="15dp"-->
                <!--            android:hint="请输入socket url"-->
                <!--            android:textColor="@color/black"-->
                <!--            android:textColorHint="@color/color_333333"-->
                <!--            android:textSize="14sp"-->
                <!--            app:layout_constraintEnd_toEndOf="parent"-->
                <!--            app:layout_constraintStart_toStartOf="parent"-->
                <!--            app:layout_constraintTop_toBottomOf="@+id/http_url" />-->

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/web_http_url"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:hint="请输入web http url"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/http_url" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/web_http_url_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="保存" />

                </androidx.appcompat.widget.LinearLayoutCompat>


                <!--网络工具-->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/web_test_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/web_url_ed"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:hint="请输入要访问的链接url"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/web_url_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="打开链接" />

                </androidx.appcompat.widget.LinearLayoutCompat>


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/web_white_host_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/web_white_host_ed"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:hint="请输入白名单host"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/web_white_host_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="添加" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!--其他调试工具-->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical">

                <!--捞日志-->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/log_uid_et"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:hint="请输入要捞取日志用户的uid"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/report_log_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="捞取日志" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/switch_svga_checker"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_svga_checker"
                        android:layout_width="match_parent"
                        android:layout_height="44dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="SVGA动效合规检查"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_svga_checker"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="开" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_svga_checker_result"
                        android:layout_width="match_parent"
                        android:layout_height="44dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/cl_svga_checker">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="SVGA检查弹窗(会影响点击事件)"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_svga_checker_result"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="开" />

                    </androidx.constraintlayout.widget.ConstraintLayout>


                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/switch_memory_checker"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_performance_float"
                        android:layout_width="match_parent"
                        android:layout_height="44dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="性能悬浮入口"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/sw_performance_float_view"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_performance_monitor"
                        android:layout_width="match_parent"
                        android:layout_height="44dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/cl_performance_float">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="是否开启系统内存监控"
                            android:textColor="#FF25252F"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/sw_performance_monitor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/im_test_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/im_uid_ed"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:hint="对方UID"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/im_session_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="开启会话" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ui_test_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/ui_test"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:text="UI测试"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/ui_test_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="UI测试" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/device_test_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/deviceid_ed"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:hint="自定义DeviceId"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/save_deviceid_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="保存" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_FFE1E3E6" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/room_test_cl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/room_id_ed"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:hint="房间ID"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_333333"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/room_enter_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="进入房间" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>